﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
//
using Windows.UI.ApplicationSettings;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

namespace SettingsContractSample
{
    public sealed partial class BlankPage : Page
    {
        public BlankPage()
        {
            this.InitializeComponent();

            //
            SettingsPane.GetForCurrentView().CommandsRequested += new TypedEventHandler<SettingsPane , SettingsPaneCommandsRequestedEventArgs>( SettingsPane_CommandsRequested );
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }

        private void btnShowSettings_Click( object sender , RoutedEventArgs e )
        {
            //
            SettingsPane.Show();
        }

        //
        private void SettingsPane_CommandsRequested( SettingsPane sender , SettingsPaneCommandsRequestedEventArgs args )
        {
            SettingsCommand redCommand = new SettingsCommand( "Red" , "Red" , new Windows.UI.Popups.UICommandInvokedHandler( onCommandInvoked ) );
            args.Request.ApplicationCommands.Add( redCommand );

            SettingsCommand whiteCommand = new SettingsCommand( "White" , "White" , new Windows.UI.Popups.UICommandInvokedHandler( onCommandInvoked ) );
            args.Request.ApplicationCommands.Add( whiteCommand );

        }

        //
        public void onCommandInvoked( Windows.UI.Popups.IUICommand command )
        {
            SettingsCommand settingsCommand = ( SettingsCommand ) command;

            switch( settingsCommand.Label )
            { 
                case "Red":
                    this.Foreground = new SolidColorBrush( Windows.UI.Colors.Red );
                    break;
                case "White":
                    this.Foreground = new SolidColorBrush( Windows.UI.Colors.White );
                    break;
            }                     
        }

    }
}
